package com.xxrv.wallet.bean;

import com.ruiwenliu.wrapper.base.BaseBean;

import java.io.Serializable;
import java.util.List;

/**
 * 提现规则
 */

public class WithdrawalRulesBean extends BaseBean {

    private DataBean data;
    private boolean rel;

    public DataBean getData() {
        return data;
    }

    public void setData(DataBean data) {
        this.data = data;
    }

    public boolean isRel() {
        return rel;
    }

    public void setRel(boolean rel) {
        this.rel = rel;
    }

    public static class DataBean implements Serializable {
        private double minAmount;//   ": 1,最少提现金额
        private double proceduReates;// ": 1.01,手续费比例
        private double amountOfMonth;// ": 10000, 单月余额
        private double amountOfDay;// ": 100,单日余额
        private double maxNumberOfMonth;// ": 6,单月次数
        private double maxNumberOfDay;//": 2,单日次数
        private String withdrawWay;//": 1  1-线上；2-线下

        public double getMinAmount() {
            return minAmount;
        }

        public void setMinAmount(double minAmount) {
            this.minAmount = minAmount;
        }

        public double getProceduReates() {
            return proceduReates;
        }

        public void setProceduReates(double proceduReates) {
            this.proceduReates = proceduReates;
        }

        public double getAmountOfMonth() {
            return amountOfMonth;
        }

        public void setAmountOfMonth(double amountOfMonth) {
            this.amountOfMonth = amountOfMonth;
        }

        public double getAmountOfDay() {
            return amountOfDay;
        }

        public void setAmountOfDay(double amountOfDay) {
            this.amountOfDay = amountOfDay;
        }

        public double getMaxNumberOfMonth() {
            return maxNumberOfMonth;
        }

        public void setMaxNumberOfMonth(double maxNumberOfMonth) {
            this.maxNumberOfMonth = maxNumberOfMonth;
        }

        public double getMaxNumberOfDay() {
            return maxNumberOfDay;
        }

        public void setMaxNumberOfDay(double maxNumberOfDay) {
            this.maxNumberOfDay = maxNumberOfDay;
        }

        public String getWithdrawWay() {
            return withdrawWay;
        }

        public void setWithdrawWay(String withdrawWay) {
            this.withdrawWay = withdrawWay;
        }
    }
}
